{% extends 'base.html.twig' %}

{% block title %}Creation d'annonce{% endblock %}

{% form_theme formAnnonce 'bootstrap_4_layout.html.twig' %}

{% block body %}



<br>


{% if editMode and app.user.id != annonce.leProducteur.id %}

<h2>Vous ne pouvez pas éditer cette annonce  </h2>

{% else %}

<h1> Creation d'annonce </h1>

{{ form_start(formAnnonce) }}

{{ form_row(formAnnonce.titre, {'attr': {'placeholder': "Titre de l'annonce"}})}}
{{ form_row(formAnnonce.creneauxDebut, {'attr': {'placeholder': "Créneaux de début"}})}}
{{ form_row(formAnnonce.creneauxFin, {'attr': {'placeholder': "Créneaux de fin"}})}}
{{ form_row(formAnnonce.libelleProduit, {'attr': {'placeholder': "Libelle du produit"}})}}
{{ form_row(formAnnonce.prixUnitaire, {'attr': {'placeholder': "Prix unitaire du produit"}})}}
{{ form_row(formAnnonce.qte, {'attr': {'placeholder': "Quantité"}})}}
{{ form_row(formAnnonce.laCategorie, {'attr': {'placeholder': "Catégorie du produit"}})}}
{{ form_row(formAnnonce.lEmplacement, {'attr': {'placeholder': "Lieu du producteur"}})}}
{{ form_row(formAnnonce.Image, {'attr': {'placeholder': "Image"}})}}



<button type="submit" class="btn btn-dark"> 
    {% if editMode %}
        Enregistrer
    {% else %}
        Ajouter l'annonce
    {% endif %}
</button>

{{ form_end(formAnnonce) }}

{% endif %}




{% endblock %}